@metadata_reactor.provides(
    'icinga2_api/systemd-timers/services',
)
def monitoring(metadata):
    services = {}

    for timer, config in node.metadata.get('systemd-timers/timers', {}).items():
        if (
            config.get('delete', False)
            or config.get('exclude_from_monitoring', False)
        ):
            continue

        services[f'SYSTEMD-TIMER {timer}'] = {
            'command_on_monitored_host': f'/usr/local/share/icinga/plugins/check_systemd_timer {timer}',
        }

    return {
        'icinga2_api': {
            'systemd-timers': {
                'services': services,
            },
        },
    }
